DuplicateSurfaceBorder - Python rhinoscriptsyntax


#1

The vbScript equivalent has a switch for interior/exterior/both types of curves; rhinoscriptsyntax for Python does not (yet).
Aside from the implict request here for the implementation of the switch in Python… how does one workaround this with RhinoCommon? I don’t see how to distinguish interior from exterior with brep.DuplicateEdgeCurves()…

Thanks, --Mitch


#2

OK, got it, for the outer border for example:

import Rhino
def GetBrepOuterLoop(brep):
    trimLoops=brep.Loops
    for loop in trimLoops:
        if loop.LoopType==Rhino.Geometry.BrepLoopType.Outer:
            return Rhino.Geometry.BrepLoop.To3dCurve(loop)

Still want a simplified approach with rhinoscriptsyntax, though…
–Mitch


(Steve Baer) #3

I added this request to our bugtracker
http://mcneel.myjetbrains.com/youtrack/issue/RH-21253


(Steve Baer) #4

The type option will be available in SR7